
Public Class AddUpdatePlayer
    Inherits System.Windows.Forms.Form
#Region " Class Level Variables"
    Private c_oPlayerRow As localhost.TeamsAndPlayers.PlayersRow
    Private c_oTeamID As System.Guid
#End Region
#Region " Constructors"

    Public Sub New(ByRef playerRow As localhost.TeamsAndPlayers.PlayersRow, ByRef teams As localhost.TeamsAndPlayers.TeamsDataTable)
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call
        c_oPlayerRow = playerRow

        Try
            txtFirstName().Text = c_oPlayerRow.FirstName
            txtLastName().Text = c_oPlayerRow.LastName
            txtWeight().Text = c_oPlayerRow.Weight.ToString
            txtHeight().Text = c_oPlayerRow.Height.ToString
            dtpBirthDate().Value = c_oPlayerRow.BirthDate
        Catch

        End Try

        Try
            Select Case c_oPlayerRow.Bats
                Case 0
                    rdoBatRight().Checked = True
                Case 1
                    rdoBatLeft().Checked = True
                Case Else
                    rdoBatSwitch().Checked = True
            End Select
        Catch
            rdoBatRight().Checked = True
        End Try

        Try
            rdoThrowsRight().Checked = c_oPlayerRow.Throws
        Catch
            rdoThrowsRight().Checked = True
        End Try

        Try
            dropPosition().SelectedIndex = c_oPlayerRow.Position
        Catch
            dropPosition().SelectedIndex = 0
        End Try

        dropTeams().DataSource = teams
        dropTeams().DisplayMember = "TeamName"
        dropTeams().ValueMember = "ID"

    End Sub
    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call


    End Sub
#End Region
#Region " Windows Form Designer generated code "

    'Form overrides dispose to clean up the component list.
    Public Overloads Overrides Sub Dispose()
        MyBase.Dispose()
        If Not (components Is Nothing) Then
            components.Dispose()
        End If
    End Sub
    Private WithEvents txtLastName As System.Windows.Forms.TextBox
    Private WithEvents txtWeight As System.Windows.Forms.TextBox
    Private WithEvents txtHeight As System.Windows.Forms.TextBox
    Private WithEvents dropPosition As System.Windows.Forms.ComboBox
    Private WithEvents dtpBirthDate As System.Windows.Forms.DateTimePicker
    Private WithEvents txtFirstName As System.Windows.Forms.TextBox
    Private WithEvents groupBox1 As System.Windows.Forms.GroupBox
    Private WithEvents groupBox2 As System.Windows.Forms.GroupBox
    Private WithEvents rdoBatRight As System.Windows.Forms.RadioButton
    Private WithEvents rdoBatSwitch As System.Windows.Forms.RadioButton
    Private WithEvents rdoBatLeft As System.Windows.Forms.RadioButton
    Private WithEvents rdoThrowsLeft As System.Windows.Forms.RadioButton
    Private WithEvents rdoThrowsRight As System.Windows.Forms.RadioButton
    Private WithEvents btnOK As System.Windows.Forms.Button
    Private WithEvents btnCancel As System.Windows.Forms.Button
    Private WithEvents label1 As System.Windows.Forms.Label
    Private WithEvents label2 As System.Windows.Forms.Label
    Private WithEvents label3 As System.Windows.Forms.Label
    Private WithEvents label4 As System.Windows.Forms.Label
    Private WithEvents label5 As System.Windows.Forms.Label
    Private WithEvents label6 As System.Windows.Forms.Label
    Private WithEvents dropTeams As System.Windows.Forms.ComboBox
    Private WithEvents label7 As System.Windows.Forms.Label

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.Container

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.rdoThrowsLeft = New System.Windows.Forms.RadioButton()
        Me.txtFirstName = New System.Windows.Forms.TextBox()
        Me.rdoBatRight = New System.Windows.Forms.RadioButton()
        Me.txtHeight = New System.Windows.Forms.TextBox()
        Me.label5 = New System.Windows.Forms.Label()
        Me.label6 = New System.Windows.Forms.Label()
        Me.label7 = New System.Windows.Forms.Label()
        Me.label1 = New System.Windows.Forms.Label()
        Me.label2 = New System.Windows.Forms.Label()
        Me.dtpBirthDate = New System.Windows.Forms.DateTimePicker()
        Me.dropTeams = New System.Windows.Forms.ComboBox()
        Me.txtWeight = New System.Windows.Forms.TextBox()
        Me.label4 = New System.Windows.Forms.Label()
        Me.rdoBatSwitch = New System.Windows.Forms.RadioButton()
        Me.txtLastName = New System.Windows.Forms.TextBox()
        Me.btnOK = New System.Windows.Forms.Button()
        Me.groupBox1 = New System.Windows.Forms.GroupBox()
        Me.groupBox2 = New System.Windows.Forms.GroupBox()
        Me.rdoBatLeft = New System.Windows.Forms.RadioButton()
        Me.btnCancel = New System.Windows.Forms.Button()
        Me.rdoThrowsRight = New System.Windows.Forms.RadioButton()
        Me.label3 = New System.Windows.Forms.Label()
        Me.dropPosition = New System.Windows.Forms.ComboBox()
        Me.rdoThrowsLeft.Location = New System.Drawing.Point(112, 16)
        Me.rdoThrowsLeft.Size = New System.Drawing.Size(120, 16)
        Me.rdoThrowsLeft.TabIndex = 1
        Me.rdoThrowsLeft.Text = "Left"
        Me.txtFirstName.Location = New System.Drawing.Point(96, 8)
        Me.txtFirstName.Size = New System.Drawing.Size(248, 20)
        Me.txtFirstName.TabIndex = 0
        Me.rdoBatRight.Checked = True
        Me.rdoBatRight.Location = New System.Drawing.Point(8, 16)
        Me.rdoBatRight.Size = New System.Drawing.Size(72, 16)
        Me.rdoBatRight.TabIndex = 0
        Me.rdoBatRight.TabStop = True
        Me.rdoBatRight.Text = "Right"
        Me.txtHeight.Location = New System.Drawing.Point(96, 104)
        Me.txtHeight.Size = New System.Drawing.Size(24, 20)
        Me.txtHeight.TabIndex = 4
        Me.label5.Location = New System.Drawing.Point(8, 108)
        Me.label5.Size = New System.Drawing.Size(80, 16)
        Me.label5.TabIndex = 10
        Me.label5.Text = "Height (inches)"
        Me.label5.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label6.Location = New System.Drawing.Point(8, 245)
        Me.label6.Size = New System.Drawing.Size(80, 16)
        Me.label6.TabIndex = 10
        Me.label6.Text = "Position"
        Me.label6.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label7.Location = New System.Drawing.Point(8, 277)
        Me.label7.Size = New System.Drawing.Size(80, 16)
        Me.label7.TabIndex = 10
        Me.label7.Text = "Team"
        Me.label7.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label1.Location = New System.Drawing.Point(8, 12)
        Me.label1.Size = New System.Drawing.Size(80, 16)
        Me.label1.TabIndex = 10
        Me.label1.Text = "First Name"
        Me.label1.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label2.Location = New System.Drawing.Point(8, 36)
        Me.label2.Size = New System.Drawing.Size(80, 16)
        Me.label2.TabIndex = 10
        Me.label2.Text = "Last Name"
        Me.label2.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.dtpBirthDate.Location = New System.Drawing.Point(96, 56)
        Me.dtpBirthDate.Size = New System.Drawing.Size(248, 20)
        Me.dtpBirthDate.TabIndex = 2
        Me.dropTeams.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.dropTeams.DropDownWidth = 120
        Me.dropTeams.Location = New System.Drawing.Point(96, 272)
        Me.dropTeams.Size = New System.Drawing.Size(120, 21)
        Me.dropTeams.TabIndex = 11
        Me.txtWeight.Location = New System.Drawing.Point(96, 80)
        Me.txtWeight.Size = New System.Drawing.Size(48, 20)
        Me.txtWeight.TabIndex = 3
        Me.label4.Location = New System.Drawing.Point(8, 84)
        Me.label4.Size = New System.Drawing.Size(80, 16)
        Me.label4.TabIndex = 10
        Me.label4.Text = "Weight (lbs)"
        Me.label4.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.rdoBatSwitch.Location = New System.Drawing.Point(184, 16)
        Me.rdoBatSwitch.Size = New System.Drawing.Size(72, 16)
        Me.rdoBatSwitch.TabIndex = 2
        Me.rdoBatSwitch.Text = "Switch"
        Me.txtLastName.Location = New System.Drawing.Point(96, 32)
        Me.txtLastName.Size = New System.Drawing.Size(248, 20)
        Me.txtLastName.TabIndex = 1
        Me.btnOK.Location = New System.Drawing.Point(392, 16)
        Me.btnOK.Size = New System.Drawing.Size(104, 32)
        Me.btnOK.TabIndex = 8
        Me.btnOK.Text = "&OK"
        Me.groupBox1.Controls.AddRange(New System.Windows.Forms.Control() {Me.rdoThrowsLeft, Me.rdoThrowsRight})
        Me.groupBox1.Location = New System.Drawing.Point(96, 136)
        Me.groupBox1.Size = New System.Drawing.Size(264, 40)
        Me.groupBox1.TabIndex = 6
        Me.groupBox1.TabStop = False
        Me.groupBox1.Text = "Throws"
        Me.groupBox2.Controls.AddRange(New System.Windows.Forms.Control() {Me.rdoBatSwitch, Me.rdoBatLeft, Me.rdoBatRight})
        Me.groupBox2.Location = New System.Drawing.Point(96, 184)
        Me.groupBox2.Size = New System.Drawing.Size(264, 40)
        Me.groupBox2.TabIndex = 7
        Me.groupBox2.TabStop = False
        Me.groupBox2.Text = "Bats"
        Me.rdoBatLeft.Location = New System.Drawing.Point(96, 16)
        Me.rdoBatLeft.Size = New System.Drawing.Size(72, 16)
        Me.rdoBatLeft.TabIndex = 1
        Me.rdoBatLeft.Text = "Left"
        Me.btnCancel.Location = New System.Drawing.Point(392, 56)
        Me.btnCancel.Size = New System.Drawing.Size(104, 32)
        Me.btnCancel.TabIndex = 9
        Me.btnCancel.Text = "&Cancel"
        Me.rdoThrowsRight.Checked = True
        Me.rdoThrowsRight.Location = New System.Drawing.Point(8, 16)
        Me.rdoThrowsRight.Size = New System.Drawing.Size(88, 16)
        Me.rdoThrowsRight.TabIndex = 0
        Me.rdoThrowsRight.TabStop = True
        Me.rdoThrowsRight.Text = "Right"
        Me.label3.Location = New System.Drawing.Point(8, 60)
        Me.label3.Size = New System.Drawing.Size(80, 16)
        Me.label3.TabIndex = 10
        Me.label3.Text = "Birth Date"
        Me.label3.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.dropPosition.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.dropPosition.DropDownWidth = 121
        Me.dropPosition.Items.AddRange(New Object() {"Pitcher", "Catcher", "First Base", "Second Base", "Third Base", "Shortstop", "Right Field", "Center Field", "Left Field", "Designated Hitter"})
        Me.dropPosition.Location = New System.Drawing.Point(96, 240)
        Me.dropPosition.Size = New System.Drawing.Size(121, 21)
        Me.dropPosition.TabIndex = 5
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.Color.LightSlateGray
        Me.ClientSize = New System.Drawing.Size(507, 312)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.label7, Me.dropTeams, Me.label6, Me.label5, Me.label4, Me.label3, Me.label2, Me.label1, Me.btnCancel, Me.btnOK, Me.groupBox2, Me.groupBox1, Me.dropPosition, Me.txtHeight, Me.txtWeight, Me.dtpBirthDate, Me.txtLastName, Me.txtFirstName})
        Me.Text = "Add or Update Player"

    End Sub
#End Region
#Region " Custom Code"
    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click

        If c_oPlayerRow.IsNull(0) Then
            c_oPlayerRow.ID = System.Guid.NewGuid
        End If

        With c_oPlayerRow
            .FirstName = txtFirstName().Text
            .LastName = txtLastName().Text
            .Weight = CInt(txtWeight().Text)
            .Height = CInt(txtHeight().Text)
            .BirthDate = dtpBirthDate().Value
            .Throws = rdoThrowsRight().Checked
            If rdoBatRight().Checked Then
                .Bats = 0
            ElseIf rdoBatLeft().Checked Then
                .Bats = 1
            Else
                .Bats = 2
            End If
            .Position = dropPosition().SelectedIndex
        End With

        c_oTeamID = CType(dropTeams().SelectedValue, System.Guid)
        Me.Close()
    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.Close()
    End Sub
    Public Property TeamID() As System.Guid

        Set(ByVal Value As System.Guid)
            c_oTeamID = Value
        End Set
        Get
            Return c_oTeamID
        End Get
    End Property
#End Region

End Class
